cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/promo-codes \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"percentage": 123,
"isActive": true
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/promo-codes"
payload = {
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"percentage": 123,
"isActive": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
amount: {
amount: 123,
currency: '<string>',
conversion: {
originalAmount: 123,
originalCurrency: '<string>',
exchangeRate: 123,
convertedAt: '2023-11-07T05:31:56Z'
}
},
percentage: 123,
isActive: true
})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/promo-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"amount": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"percentage": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}BusinessPromoCodes
Post v1businesses promo codes
POST
/
v1
/
businesses
/
{businessId}
/
promo-codes
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Was this page helpful?
⌘I